Bug 1798431 - Python3-rdiff-backup
Summary: Python3-rdiff-backup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 10:44 UTC by Ben Cotton
Modified: 2020-04-28 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 14:30:32 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-02-05 10:44:22 UTC
This is a tracking bug for Change: Python3-rdiff-backup
For more details, see: https://fedoraproject.org/wiki/Changes/Python3-rdiff-backup

rdiff-backup is a python based backup tool. While development stopped for many years, it's now resumed upstream and a python3 port has been (almost) completed. Unfortunately, the python2 and python3 versions will not interoperate, although backups made with either version are compatible. Because of this we want to push the new python3 based rdiff-backup to all supported releases when Fedora 32 is released.

Comment 1 Ben Cotton 2020-02-11 18:13:59 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 2 Frank Crawford 2020-02-12 10:50:10 UTC
Latest beta 1.9.0b0 built successfully in F32.  This is intended to be the final beta before release of 2.0.0.

Comment 3 Frank Crawford 2020-02-24 12:02:29 UTC
An updated beta release 1.9.1b0 built successfully in both rawhide and F32 (and COPR).

This should be the final beta before release, with a release planned within two  weeks.

Comment 4 Frank Crawford 2020-02-27 09:37:36 UTC
Latest beta is functional.

Comment 5 Frank Crawford 2020-03-15 11:25:33 UTC
Rdiff-backup v2.0.0 released, and has also now been built successfully in both rawhide and F32 (and COPR).

Comment 6 Solomon Peachy 2020-03-19 13:42:17 UTC
Will it be possible to get a build of rdiff-backup v2.0 in F31 (and F30?) for those folks that can't upgrade everything to F32 at the same time?

Comment 7 Frank Crawford 2020-03-20 10:39:35 UTC
(In reply to Solomon Peachy from comment #6)
> Will it be possible to get a build of rdiff-backup v2.0 in F31 (and F30?)
> for those folks that can't upgrade everything to F32 at the same time?

Yes, the plan is to release it for F30 and F31 as well as EPEL around the same time as F32 is released.

If you wish to try it out early it is available from my COPR repo (dnf copr enable frankcrawford/rdiff-backup).

Comment 8 Solomon Peachy 2020-03-20 12:04:49 UTC
Yep; I had already enabled the COPR and the packages work quite well with my F30 and F31 systems.

Comment 9 Ben Cotton 2020-04-28 14:30:32 UTC
Fedora 32 is released!


Note You need to log in before you can comment on or make changes to this bug.